if (process.env.NODE_ENV !== 'test') {
  require('elastic-apm-node').start({ // eslint-disable-line
    serviceName: `<%= name %>-${process.env.NODE_ENV}`,
    serverUrl: 'https://elastic-apm.eco.astro.com.my',
    secretToken: 'wN6Bnj4yAuHZVpMm3e',
    captureBody: 'all',
    filterHttpHeaders: false,
    errorMessageMaxLength: -1,
    stackTraceLimit: 'Infinity'
  });
}
require('module-alias/register');
const async = require('async');

// make bluebird default Promise
Promise = require('bluebird'); // eslint-disable-line no-global-assign
const app = require('./config/express');
const startupBoot = require('./boot');
const { logger } = require('./utils/logger');

const startupTasks = [];
startupBoot.forEach((boot) => {
  startupTasks.push(async.apply(boot, app));
});

async.waterfall(startupTasks, (err) => {
  if (err) {
    logger.error('Unable to start server - please restart the service', err);
    process.exit(1);
  }
});

/**
* Exports express
* @public
*/
module.exports = app;
