const path = require('path');

// import .env variables
require('dotenv-safe').load({
  path: path.join(process.cwd(), '.env'),
  sample: path.join(process.cwd(), '.env.example')
});

module.exports = {
  env: process.env.NODE_ENV,
  port: process.env.PORT,
  serviceName: '<%= name %>',
  http: {
    timeout: 5000,
    responseType: 'json',
    responseEncoding: 'utf8',
    retries: 3
  },
  sanitizedFields: [],
  jwtTokenSecret: process.env.JWT_AUTH_SECRET,
  cacheSetting: {
    cacheHost: process.env.CACHE_HOST,
    cachePort: process.env.CACHE_PORT,
    cacheCluster: process.env.CACHE_CLUSTER,
    tokenExpiry: 6 * 60 * 60, // 6 hours
    longCacheExpiry: 1 * 60 * 60, // 1 hours
    contentCacheExpiry: 5 * 60 // 5 minutes
  },
  elasticLog: {
    cloudId: process.env.ES_CLOUD_ID,
    username: process.env.ES_USERNAME,
    password: process.env.ES_PASSWORD
  },
  validSites: ['awani', 'gempak']
};
